<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/15/2008 *
 * ===================                          Last change: 10/15/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : beg_functions.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Beg link functions                               *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Funktionen fuer den Bettel-Link                  *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Add points to user or begging rallye account
function addPointsBeg ($userid, $points) {
	// Default is not added
	$added = false;

	// Is begging rallye active?
	if (isBegRallyeEnabled()) {
		// Add points to rallye account
		SQL_QUERY_ESC("UPDATE `{?_MYSQL_PREFIX?}_user_data` SET `beg_points`=`beg_points`+%s WHERE `userid`=%s LIMIT 1",
			array($points, $userid), __FUNCTION__, __LINE__);

		// We need to set $add here, two
		$added = (!SQL_HASZEROAFFECTED());
	} else {
		// Add points to account
		initReferalSystem();
		$added = addPointsThroughReferalSystem('beg', $userid, $points);
	}

	// Subtract begged points from member account if the admin has selected one
	if (($added === true) && (isValidUserId(getBegUserid()))) {
		// Subtract from this account
		$added = ($added && subtractPoints('beg_payout', getBegUserid(), $points));
	} // END - if

	// Return result
	return $added;
}

//-----------------------------------------------------------------------------
//                       Wrapper functions for ext-beg
//-----------------------------------------------------------------------------

// "Getter" for beg_new_member_notify
function getBegNewMemberNotify () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Get it
		$GLOBALS[__FUNCTION__] = getConfig('beg_new_member_notify');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// Checks wether beg_new_member_notify is enabled
function isBegNewMemberNotifyEnabled () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = ((isExtensionInstalledAndNewer('beg', '0.2.7')) && (getBegNewMemberNotify() == 'Y'));
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// "Getter" for beg_userid
function getBegUserid () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Get it
		$GLOBALS[__FUNCTION__] = getConfig('beg_userid');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// "Getter" for beg_timeout
function getBegTimeout () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('beg_timeout');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// "Getter" for beg_userid_timeout
function getBegUseridTimeout () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('beg_userid_timeout');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// "Getter" for beg_ip_timeout
function getBegIpTimeout () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('beg_ip_timeout');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// "Getter" for beg_ranks
function getBegRanks () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('beg_ranks');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// "Getter" for beg_points_max
function getBegPointsMax () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('beg_points_max');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// "Getter" for beg_points
function getBegPoints () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('beg_points');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// "Getter" for beg_notify_bonus
function getBegNotifyBonus () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('beg_notify_bonus');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// "Getter" for beg_notify_wait
function getBegNotifyWait () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('beg_notify_wait');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// "Getter" for beg_pay_mode
function getBegPayMode () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('beg_pay_mode');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// "Getter" for beg_include_own
function getBegIncludeOwn () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('beg_include_own');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// Checks wether beg_include_own is "Y"
function isBegIncludeOwnEnabled () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = (getBegIncludeOwn() == 'Y');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// "Getter" for beg_active
function getBegActive () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('beg_active');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// Checks wether beg_active is "Y"
function isBegActiveEnabled () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = (getBegActive() == 'Y');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// "Getter" for beg_rallye
function getBegRallye () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('beg_rallye');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// Checks wether beg_rallye is "Y"
function isBegRallyeEnabled () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = (getBegRallye() == 'Y');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// "Getter" for beg_rallye_enable_notify
function getBegRallyeEnableNotify () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('beg_rallye_enable_notify');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// Checks wether beg_rallye_enable_notify is "Y"
function isBegRallyeEnableNotifyEnabled () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = (getBegRallyeEnableNotify() == 'Y');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// "Getter" for beg_rallye_disable_notify
function getBegRallyeDisableNotify () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('beg_rallye_disable_notify');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// Checks wether beg_rallye_disable_notify is "Y"
function isBegRallyeDisableNotifyEnabled () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = (getBegRallyeDisableNotify() == 'Y');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// [EOF]
?>
