<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 07/25/2011 *
 * ===================                          Last change: 07/25/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : forced_functions.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Functions for ext-forced                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Funktionen fuer ext-forced                       *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Template helper function to create selection box for all forced-ad types
function doTemplateForcedAdTypeSelectionBox ($templateName, $clear = false, $default = NULL) {
	// Add all types through the filter
	$forcedAdTypes = runFilterChain('add_forced_ads_types', array());

	// Handle it over to generateSelectionBoxFromArray()
	$content = generateSelectionBoxFromArray($forcedAdTypes, 'forced_ads_type', 'type');

	// Return prepared content
	return $content;
}

// Translate the status IN/OUT
function translateForcedAdType ($status) {
	// Is the status null or empty?
	if (is_null($status)) {
		// Is NULL
		$status = 'NULL';
	} elseif (empty($status)) {
		// Is empty (string)
		$status = 'EMPTY';
	} // END - if

	// Default status is unknown
	$return = '{%message,ADMIN_FORCED_AD_TYPE_UNKNOWN=' . $status . '%}';

	// Construct message id
	$messageId = 'ADMIN_FORCED_AD_TYPE_' . $status;

	// Is it there?
	if (isMessageIdValid($messageId)) {
		// Then use it as message string
		$return = '{--' . $messageId . '--}';
	} // END - if

	// Return the status
	return $return;
}

// "Getter" for an array of data from all Forced-PopUps
function getForcedPopupDataByEarningArray ($content) {
	debug_report_bug(__FUNCTION__, __LINE__, 'content=' . print_r($content, true));
}

// [EOF]
?>
