<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 01/28/2004 *
 * ===================                          Last change: 06/10/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_refs.php                               *
 * -------------------------------------------------------------------- *
 * Short description : Show all referals made by a member               *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Alle generierten Refs eines Mitgliedes anzeigen  *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (isGetRequestElementSet('userid')) {
	// Secure userid
	$userid = bigintval(getRequestElement('userid'));

	// Fix missing variable
	$result_levels = false;

	// User found?
	if (fetchUserData($userid)) {
		// Get total refs
		$menge =     countSumTotalData($userid, 'user_data', 'userid', 'refid', true);
		$menge_lck = countSumTotalData($userid, 'user_data', 'userid', 'refid', true, " AND `status` != 'CONFIRMED'");

		// Output info message
		displayMessage(sprintf(getMessage('ADMIN_USER_TOTAL_REFS'), generateUserProfileLink(getRequestElement('userid')), $menge, $menge_lck));

		// Load all referal levels
		$result_levels = SQL_QUERY("SELECT
	`level`,`percents`
FROM
	`{?_MYSQL_PREFIX?}_refdepths`
WHERE
	`level` > 0
ORDER BY
	`level` ASC", __FILE__, __LINE__);

		// Are there some levels (VERY BAD IF NONE!)
		if (!SQL_HASZERONUMS($result_levels)) {
			// List all ref levels or entries if no refback is installed
			$OUT = '';
			while ($levels = SQL_FETCHARRAY($result_levels)) {
				// Is the refback still active? ;-)
				if (isExtensionActive('refback')) {
					// Load all refs of this user
					$result_refs = SQL_QUERY_ESC("SELECT `refid` FROM `{?_MYSQL_PREFIX?}_user_refs` WHERE `userid`=%s AND `level`=%s ORDER BY `refid` ASC",
						array($userid, $levels['level']), __FILE__, __LINE__);
					//* DEBUG: */ debugOutput($userid.'/'.$levels['level'].'/'.SQL_NUMROWS($result_refs));

					// Do we have levels?
					if (!SQL_HASZERONUMS($result_refs)) {
						// Count entries
						$menge =     countSumTotalData($userid, 'user_data', 'userid', 'refid', true);
						$menge_lck = countSumTotalData($userid, 'user_data', 'userid', 'refid', true, " AND `status` != 'CONFIRMED'");

						// Output info message
						$levels['info'] = sprintf(getMessage('ADMIN_USER_TOTAL_REFS'), generateUserProfileLink($userid), $menge, $menge_lck);

						// Init variables
						$OUT_REFS = '';

						// Load all refs
						while ($content = SQL_FETCHARRAY($result_refs)) {
							// Is the data there?
							if (fetchUserData($content['refid'])) {
								// Check for referals
								$refs_cnt = countSumTotalData(getUserData('userid'), 'user_refs', 'id', 'userid', true);

								// Prepare data for the template
								// @TODO Try to rewrite some to EL
								$content = array(
									'userid'     => getUserData('userid'),
									'gender'     => getUserData('gender'),
									'refs_link'  => 0,
									'surname'    => getUserData('surname'),
									'family'     => getUserData('family'),
									'email'      => '[<a href="' . generateEmailLink(getUserData('email'), 'user_data') . '">' . getUserData('email') . '</a>]',
									'status'     => getUserData('status'),
									'registered' => generateDateTime(getUserData('joined'), 3),
								);

								// Check if referal count is larger 0 and update link
								if ($refs_cnt > 0) {
									$content['refs_link'] = generateUserProfileLink(getUserData('userid'), $refs_cnt, 'list_refs');
								} // END - if

								// Load template for level one
								$OUT_REFS .= loadTemplate('admin_list_refs_row', true, $content);
							} else {
								// No refs found
								$OUT_REFS = loadTemplate('admin_list_refs_nodata', true, $content);
							}

							// Add content
							$levels['rows'] = $OUT_REFS;
						} // END - while
					} else {
						// Output info message
						$levels['info'] = sprintf(getMessage('ADMIN_USER_TOTAL_REFS'), generateUserProfileLink($userid), 0, 0);

						// No refs found
						$levels['rows'] = loadTemplate('admin_list_refs_norefs', true, array('userid' => $userid));
					}

					// Free result
					SQL_FREERESULT($result_refs);

					// Load level template
					$OUT .= loadTemplate('admin_list_refs_level', true, $levels);
				} else {
					// Check for referals
					$refs_cnt = countSumTotalData($levels['userid'], 'user_data', 'userid', 'refid', true);

					// Prepare data for the template
					$content = array(
						'userid'     => $levels['userid'],
						'gender'     => $levels['gender'],
						'refs_link'  => 0,
						'surname'    => $levels['surname'],
						'family'     => $levels['family'],
						'email'      => '[<a href="' . generateEmailLink($levels['email'], 'user_data') . '">' . $levels['email'] . '</a>]',
						'status'     => $levels['status'],
						'registered' => generateDateTime($levels['joined'], 3),
					);

					// Check if referal count is larger 0 and update link
					if ($refs_cnt > 0) $content['refs_link'] = generateUserProfileLink($levels['userid'], $refs_cnt, 'list_refs');

					// Load template for level one
					$OUT .= loadTemplate('admin_list_refs_row', true, $content);
				}
			} // END - while

			// Prepare content
			$content = array(
				'rows'   => $OUT,
				'userid' => getRequestElement('userid')
			);

			// Load main template
			if (isExtensionActive('refback')) {
				loadTemplate('admin_list_refs2', false, $content);
			} else {
				loadTemplate('admin_list_refs', false, $content);
			}
		} elseif (isExtensionActive('refback')) {
			// No levels found, very bad!
			displayMessage('{--ADMIN_NO_REFERAL_LEVELS--}');
		} else {
			// No refs made so far
			displayMessage('{--USER_REFERAL_404--}');
		}

		// Free result
		SQL_FREERESULT($result_levels);
	} else {
		// User not found
		displayMessage('{%message,ADMIN_MEMBER_404=' . getRequestElement('userid') . '%}');
	}
} else {
	// Output selection form with all confirmed user accounts listed
	addMemberSelectionBox();
}

// [EOF]
?>
